package com.huimv.eartag.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.common.token.TokenSign;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import com.huimv.eartag.entity.BasePigpen;
import com.huimv.eartag.entity.CollectorRegister;
import com.huimv.eartag.service.ICollectorRegisterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author astupidcoder
 * @since 2022-01-07
 */
@RestController
@RequestMapping("/collectorRegister")
public class CollectorRegisterController {

    @Autowired
    private ICollectorRegisterService collectorRegisterService;

    @PostMapping("/add")
    public Result add(@RequestBody CollectorRegister collectorRegister){

//        Integer userId = TokenSign.getMemberIdByJwtToken(request);

        collectorRegister.setRegisterTime(new Date());
        collectorRegisterService.save(collectorRegister);
        return new Result(10000,"添加成功",true);
    }


    @PostMapping("/update")
    public Result update(@RequestBody  CollectorRegister collectorRegister){
        collectorRegisterService.updateById(collectorRegister);
        return new Result(10000,"修改成功",true);
    }


    @GetMapping("/remove")
    public Result remove(@RequestParam(name = "ids") List<Integer> ids){
        collectorRegisterService.removeByIds(ids);
        return new Result(10000,"删除成功",true);
    }


    @PostMapping("/page")
    public Result page(@RequestBody Map map){
        return collectorRegisterService.pageAll(map);

    }

    @GetMapping("/list")
    public Result page(@RequestParam(name = "farmId") Integer farmId){
        List<CollectorRegister> farmList = collectorRegisterService.list(new QueryWrapper<CollectorRegister>().eq("farm_id", farmId));
        return new Result(ResultCode.SUCCESS,farmList);

    }

    @GetMapping("/listCount")
    public Result listCount(@RequestParam(name = "farmId") Integer farmId){

        return collectorRegisterService.listCount(farmId);

    }
}
