package com.huimv.eartag.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author astupidcoder
 * @since 2022-01-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class CollectorRegister extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 记录id(主键)
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 组织id
     */
    private Long orgId;

    /**
     * 组织名称
     */
    private String orgName;

    private String countyCode;

    /**
     * 设备编码
     */
    private String deviceCode;

    /**
     * 盒子的芯片编码
     */
    private String registeCode;

    /**
     * 牧场编码
     */
    private String farmCode;

    /**
     * 牧场名称
     */
    private String farmName;

    /**
     * 动物种类
     */
    private Integer typeF;

    /**
     * 阶段
     */
    private Integer stage;

    /**
     * 猪舍id
     */
    private Integer pigpenId;

    /**
     * 栋舍名称
     */
    private String penName;

    /**
     * 单元id
     */
    private Integer unitId;

    /**
     * 单元名称
     */
    private String unitName;

    /**
     * 上传服务器地址
     */
    private String serverIp;

    /**
     * 端口
     */
    private Integer port;

    /**
     * 注册时间
     */
    private Date registerTime;

    /**
     * 最后上传时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date lastTime;

    /**
     * 0:正常,1:网络异常,2:采集异常,3:注销
     */
    private Integer canStatus;


}
