package com.huimv.eartag.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import com.huimv.eartag.entity.BaseFarmInfo;
import com.huimv.eartag.entity.BaseFarmInfo;
import com.huimv.eartag.mapper.BaseFarmInfoMapper;
import com.huimv.eartag.service.IBaseFarmInfoService;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author astupidcoder
 * @since 2022-01-07
 */
@Service
public class BaseFarmInfoServiceImpl extends ServiceImpl<BaseFarmInfoMapper, BaseFarmInfo> implements IBaseFarmInfoService {

    @Override
    public Result pageAll(Map map) {
        Integer current = (Integer)map.get("current");
        Integer size = (Integer) map.get("size");
        String farmName = (String) map.get("farmName");
        String location = (String)map.get("location");
        Integer type = (Integer)map.get("type");
        QueryWrapper<BaseFarmInfo> wrapper = new QueryWrapper<>();
        wrapper.like(StringUtils.isNotBlank(farmName),"farm_name",farmName);
        wrapper.like(StringUtils.isNotBlank(location),"location",location);
        if (type != null){
            wrapper.eq("type",type);
        }
        Page<BaseFarmInfo> page = page(new Page<>(current, size), wrapper);

        return new Result(ResultCode.SUCCESS,page);
    }
}
