package com.huimv.eartag.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import com.huimv.eartag.entity.BaseFloor;
import com.huimv.eartag.entity.BaseFloor;
import com.huimv.eartag.mapper.BaseFloorMapper;
import com.huimv.eartag.service.IBaseFloorService;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author astupidcoder
 * @since 2022-01-07
 */
@Service
public class BaseFloorServiceImpl extends ServiceImpl<BaseFloorMapper, BaseFloor> implements IBaseFloorService {
    @Override
    public Result pageAll(Map map) {
        Integer current = (Integer)map.get("current");
        Integer size = (Integer) map.get("size");
        String searchName = (String) map.get("searchName");
        QueryWrapper<BaseFloor> wrapper = new QueryWrapper<>();
        wrapper.like("butcher_name",searchName);
        Page<BaseFloor> page = page(new Page<>(current, size), wrapper);

        return new Result(ResultCode.SUCCESS,page);
    }
}
